#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n],b[n];
    for(int i=1;i<=n;i++){
        a[i]=-1;
        b[i]=-1;
    }
    for(int i=1;i<=n;i++){
        int p,q;
        cin >> p >> q;
        a[p]++;
        b[q]++;
    }
    
    /*for(int i=1;i<=n;i++){
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i=1;i<=n;i++){
        cout << b[i] << " ";
    }
    cout << endl;*/
    
    int u=0,ua=0,ub=0;
    int ta=0,tb=0;
    for(int i=1;i<=n;i++){
        ta+=a[i];
        ua+=abs(ta);
        //cout << "za i=" << i << " ta je " << ta << " i ua je postalo " << ua << endl; 
        
        tb+=b[i];
        ub+=abs(tb);
        //cout << "za i=" << i << " tb je " << tb << " i ub je postalo " << ub << endl;
    }
    u=ua+ub;
    //cout << "ua je " << ua << " ub je " << ub << endl; 
    cout << u << endl;
    return 0;
}